Subject: Re: bug#22172: 25.1.50; Wishlist: There should be a way to say to Emacs that is should rescale all images with a certain factor

From: Ted Zlatanov <[email-masked]>
Date: Wed, 23 Dec 2015 11:50:18 -0500

On Mon, 14 Dec 2015 15:09:01 -0800 John Wiegley <[email-masked]> wrote: 

>>>>>> Lars Magne Ingebrigtsen <[email-masked]> writes:
>> There should be a way to say to Emacs, like there is in Firefox, that every
>> pixel in images should be rendered at, say, 2x. (If possible.)

JW> +1, except that I'd also like it to be buffer local. For Gnus, where it show
JW> graphical logos for individual with pixmaps, I'd like to use 0.5x.

I think a DPI scaling command-line switch would be very useful, like
`google-chrome --force-device-scale-factor=2' for instance. That would
make Emacs as a whole more usable right away, although I honestly don't
know if there's a better way to do native scaling factor integration
with X and other windowing systems. Even if there is such a way now,
there are still many users on systems that may lack it.

Ted